apt 2.9.8 commandline package manager

Public Member Functions | Public Attributes | List of all members
Solver::Reason Struct Reference

Tagged union holding either a package, version, or nothing; representing the reason for installing something. More...

`#include <apt-pkg/solver3.h>`

## Public Member Functions
| Reason (pkgCache::PkgIterator const &Pkg)
| Reason (pkgCache::VerIterator const &Ver)
map_pointer< pkgCache::Package > | Pkg () const
map_pointer< pkgCache::Version > | Ver () const
pkgCache::PkgIterator | Pkg (pkgCache &cache) const
pkgCache::VerIterator | Ver (pkgCache &cache) const
bool | empty () const

## Public Attributes
uint32_t | IsVersion: 1
uint32_t | MapPtr: 31

## Detailed Description

Tagged union holding either a package, version, or nothing; representing the reason for installing something.

We want to keep track of the reason why things are being installed such that we can have sensible debugging abilities.

If the reason is empty, this means the package is automatically installed.

The documentation for this struct was generated from the following file:

- apt-pkg/solver3.h